Project

General

Profile

Actions

Bug #21756

open

Rudder-dev fails to upmerge rudder-plugins-private on branches > 7.2

Added by Félix DALLIDET 3 months ago. Updated 3 months ago.

Status:
Pending technical review
Priority:
N/A
Category:
Scripts
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
0
Regression:
No

Description

It fails with the following error:

 $ git push NRM branches/rudder/7.2
Enumerating objects: 13, done.
Counting objects: 100% (12/12), done.
Delta compression using up to 16 threads
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 828 bytes | 828.00 KiB/s, done.
Total 7 (delta 5), reused 0 (delta 0), pack-reused 0
remote: Resolving deltas: 100% (5/5), completed with 3 local objects.
To github.com:Normation/rudder-plugins-private.git
   5901e8c..7a2e4aa  branches/rudder/7.2 -> branches/rudder/7.2
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/requests/models.py", line 910, in json
    return complexjson.loads(self.text, **kwargs)
  File "/usr/lib64/python3.10/json/__init__.py", line 346, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python3.10/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python3.10/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/fdallidet/.local/bin/rudder-dev", line 2728, in <module>
    merge_pr(arguments['<first_branch/ticket_id/pr_url>'], arguments['<strategy>'], automatic, test, run_tests, arguments['--no-autosquash'])
  File "/home/fdallidet/.local/bin/rudder-dev", line 2417, in merge_pr
    last_version = get_versions()[0][-1]
  File "/home/fdallidet/.local/bin/rudder-dev", line 1451, in get_versions
    for version in server.version_list(lifecycle['name']):
  File "/home/fdallidet/.local/bin/rudder-dev", line 1052, in version_list
    return self._query("/projects/" + str(project) + "/versions.json").json()['versions']
  File "/usr/lib/python3.10/site-packages/requests/models.py", line 917, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: [Errno Expecting value] : 0

Actions #1

Updated by Félix DALLIDET 3 months ago

  • Status changed from New to In progress
  • Assignee set to Félix DALLIDET
Actions #2

Updated by Félix DALLIDET 3 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Félix DALLIDET to Vincent MEMBRÉ
  • Pull Request set to https://github.com/Normation/rudder-tools/pull/733
Actions

Also available in: Atom PDF